SIM Swap Retrieve Date

SIM Swap Retrieve Date API

2.0.0OAS 3.0

CAMARA SIM Swap Retrieve Date API. Retrieves the most recent SIM swap date for a phone number.

API Base URL
  • Server 1:https://api.pxg.konera.com/camara

    Production CAMARA API Gateway

Security
OAuth2ClientCredentials (oauth2)

Client Credentials OAuth Flow

Token URL: https://auth.konera.com/oauth2/token

Scopes:

  • sim-swap.read - Read SIM swap signal

SIM Swap Retrieve Date

SIM swap date retrieval APIs

Retrieve most recent SIM swap date

Retrieves the most recent SIM swap date for the given phone number.

post
https://api.pxg.konera.com/camara/sim-swap/v2/retrieve-date

Headers

x-correlation-idstring

Correlation ID for request tracing

Body

application/json

SimSwapRetrieveDateRequest

phoneNumberstringrequired

MSISDN in E.164 format

Example:+14155550123

Response

application/json

SIM swap date returned

SimSwapRetrieveDateResponse

lastSimSwapDatestring(date-time)required

Timestamp of the most recent SIM swap event

Example:2026-01-15T10:00:00Z

post/sim-swap/v2/retrieve-date

Body

{ "phoneNumber": "+14155550123" }
 
application/json